Bug 46288 - User template syntax: LDAP Error: Invalid syntax: userPrimaryGroupPreset: value #0 invalid per syntax
User template syntax: LDAP Error: Invalid syntax: userPrimaryGroupPreset: val...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Users
UCS 4.3
Other Linux
: P5 normal (vote)
: UCS 4.3-0-errata
Assigned To: Felix Botner
Erik Damrose
:
Depends on:
Blocks: 47859
  Show dependency treegraph
 
Reported: 2018-02-14 21:32 CET by Stefan Gohmann
Modified: 2018-09-25 17:27 CEST (History)
4 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 5: Major Usability: Impairs usability in key scenarios
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 3: A User would likely not purchase the product
User Pain: 0.171
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number: 2018020621000341, 2018021521001396
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2018-02-14 21:32:28 CET
The following error occurred on a customer system which is joined into a German MS AD domain:

  LDAP Error: Invalid syntax: userPrimaryGroupPreset: value #0 invalid per syntax

It happened in a Kopano join script while creating the Kopano template:

+ ucr_varname=domainusers
+ ucr_varname=groups/default/domainusers
+ /usr/sbin/univention-config-registry get groups/default/domainusers
+ result=Domänen-Benutzer
+ [ -n Domänen-Benutzer ]
+ echo -n Domänen-Benutzer
+ univention-directory-manager settings/usertemplate create --ignore_exists --position cn=templates,cn=univention,dc=foo,dc=bar --set name=Kopano Account --set mailPrimaryAddress=<username>@foo.bar --set kopano-role=user --set unixhome=/home/<username> --set primaryGroup=cn=Domänen-Benutzer,cn=groups,dc=foo,dc=bar
LDAP Error: Invalid syntax: userPrimaryGroupPreset: value #0 invalid per syntax
+ die
Comment 1 Stefan Gohmann univentionstaff 2018-03-15 06:32:58 CET
Move to 4.3-0-errata. If a UCS 4.2 backport is needed, please clone this issue.
Comment 2 Felix Botner univentionstaff 2018-04-17 12:07:05 CEST
yaml - 64d63948f86c26f1d891a9f171706dd7fd27e712
univention-ldap cbe7facb8ec35353ad06a5bcbf895fa905b636b8
 changed syntax of userPrimaryGroupPreset to DirectoryString, not indexed, so
 no index update necessary


As far as i tested it, the "--set primaryGroup" for user templates is no longer necessary, the correct default group is used if a user is created based on the template even if the template has no primaryGroup
Comment 3 Erik Damrose univentionstaff 2018-04-26 17:13:10 CEST
OK: userPrimaryGroupPreset in usertemplates changed from syntax 1.3.6.1.4.1.1466.115.121.1.26 to 1.3.6.1.4.1.1466.115.121.1.15 (utf-8 encoded string)
OK: kopano4ucs joinscript is executable, user sync + new user works,  primary group is correct.
OK: Yaml (i fixed the line length)
Verified
Comment 4 Arvid Requate univentionstaff 2018-05-02 13:31:21 CEST
<http://errata.software-univention.de/ucs/4.3/24.html>